%define section         free
%define gcj_support     1
%bcond_without          bootstrap

Name:           redline
Version:        1.1.0
Release:        %mkrel 2.0.1
Epoch:          0
Summary:        Pure Java library for manipulating RPM Package Manager packages
License:        MIT
Group:          Development/Java
URL:            http://www.freecompany.org/
Source0:        http://repository.freecompany.org/org/freecompany/redline/zips/redline-src-%{version}.zip
Source1:        redline-1.0.10-build.xml
Requires:       util-text
Requires:       util-xml-editor
BuildRequires:  ant
BuildRequires:  ant-junit
%if %without bootstrap
BuildRequires:  imp-core
%endif
BuildRequires:  java-rpmbuild >= 0:1.6
BuildRequires:  junit
BuildRequires:  util-text
BuildRequires:  util-xml-editor
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildRequires:  java-devel
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Redline is a pure Java library for manipulating RPM Package Manager
packages. Currently the project supports reading and creating
packages and has an included Ant task useful for integration with
build systems. Support for package signatures will be added in a
future release.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%if %with bootstrap
%{__cp} -a %{SOURCE1} build.xml
%endif
%{__perl} -pi -e 's|<javac|<javac nowarn="true"|g' build.xml

%build
#export CLASSPATH=$(build-classpath junit brimstone-cache brimstone-core brimstone-main brimstone-module infoset util-multicaster xmlwriter)
export CLASSPATH=$(build-classpath junit util-xml-editor util-text)
%if %without bootstrap
export CLASSPATH=${CLASSPATH}:$(build-classpath imp-core)
%endif
export OPT_JAR_LIST="ant/ant-junit ant/ant-nodeps"
%{ant} jar javadoc test

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -a dist/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%create_jar_links

%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a dist/doc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%{gcj_compile}

%clean
%{__rm} -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.db
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.so
%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.1.0-2.0.1mdv2009.0
+ Revision: 269217
- rebuild early 2009.0 package (before pixel changes)

* Wed May 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1.0-0.0.1mdv2009.0
+ Revision: 207050
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0.10-0.0.3mdv2008.1
+ Revision: 121014
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0.10-0.0.2mdv2008.0
+ Revision: 87348
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Tue Aug 07 2007 David Walluck <walluck@mandriva.org> 0:1.0.10-0.0.1mdv2008.0
+ Revision: 59602
- Import redline

